%global srcname inflection

Name:           python-%{srcname}
Version:        0.5.1
Release:        %mkrel 5
Summary:        Port of Ruby on Rails inflector to Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/jpvanhal/inflection
Source:         %{pypi_source}
BuildArch:      noarch

%description
Inflection is a string transformation library. It singularizes and pluralizes
English words, and transforms strings from CamelCase to underscored string.
Inflection is a port of Ruby on Rails’ inflector to Python.

%package     -n python3-%{srcname}
Summary:        Port of Ruby on Rails inflector to Python3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description -n python3-%{srcname}
Inflection is a string transformation library. It singularizes and pluralizes
English words, and transforms strings from CamelCase to underscored string.
Inflection is a port of Ruby on Rails’ inflector to Python3.

%prep
%autosetup -n %{srcname}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files inflection

%check
%python3 -m pytest -v

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Sat Mar 01 2025 wally <wally> 0.5.1-5.mga10
+ Revision: 2155121
- rebuild for python3.13

* Tue Dec 12 2023 papoteur <papoteur> 0.5.1-4.mga10
+ Revision: 2017609
- rebuild for python3.12
- adapt to pyproject

* Sat Mar 26 2022 umeabot <umeabot> 0.5.1-3.mga9
+ Revision: 1828541
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 0.5.1-2.mga9
+ Revision: 1781139
- rebuild for python-3.10

* Sun Apr 18 2021 daviddavid <daviddavid> 0.5.1-1.mga9
+ Revision: 1716715
- initial package python-inflection

